
// AKAssmsView.h : interface of the CAKAssmsView class
//

#pragma once


class CAKAssmsView : public CView
{
protected: // create from serialization only
	CAKAssmsView();
	DECLARE_DYNCREATE(CAKAssmsView)

    // Attributes
    public:
	    CAKAssmsDoc*
         GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CAKAssmsView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

    // Generated message map functions
    protected:
    DECLARE_MESSAGE_MAP()
      afx_msg LRESULT
        OnExecuteSQLstmt ( WPARAM wParam, LPARAM lParam );
	    afx_msg
        void OnFilePrintPreview();
	    afx_msg
        void OnRButtonUp ( UINT nFlags, CPoint point );
	    afx_msg
        void OnContextMenu ( CWnd *pWnd, CPoint point );
      virtual void OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);
};

#ifndef _DEBUG  // debug version in AKAssmsView.cpp
inline CAKAssmsDoc* CAKAssmsView::GetDocument() const
   { return reinterpret_cast<CAKAssmsDoc*>(m_pDocument); }
#endif

